## static configuration

global:
  checkNewVersion: false
  sendAnonymousUsage: false

entryPoints:
  web:
    address: ":80"
  websecure:
    address: ":443"
  ping:
    address: ":8082"

# Access logs
# accessLog: fields:
#   headers:
#     names:
#       User-Agent: keep

providers:
  docker:
    endpoint: "unix:///var/run/docker.sock"
    exposedByDefault: false
  file:
    directory: /etc/traefik/dynamic
    watch: true

certificatesResolvers:
  letsencrypt:
    acme:
      tlschallenge: true
      httpchallenge:
        entrypoint: web
      email: xdesing.24@gmail.com
      storage: /etc/traefik/acme/acme.json

ping:
  entryPoint: "ping"

api:
  dashboard: true

log:
  level: ERROR